PACDIFF(8)

BEZEICHNUNG
pacdiff - Wartungswerkzeug für pacorig, pacnew und pacsave

ÜBERSICHT

pacdiff [Optionen]

BESCHREIBUNG

pacdiff ist ein Skript, das in den Sicherungseinträgen der lokalen Pacman-Datenbank nach *.pacorig-, *.pacnew- und *.pacsave-Dateien sucht. Für jede der gefundenen Dateien können Sie auswählen, ob Sie die gefundenen *.pacorig-, *.pacnew- oder *.pacsave-Dateien betrachten, überspringen, die Unterschiede anzeigen, zusammenführen, sie löschen oder überschreiben wollen.

OPTIONEN

  Suchoptionen

-f, --find
    sucht mittels find.

-l, --locate
    sucht mittels locate.

-p, --pacmandb
    sucht aktive Konfigurationsdateien in der Pacman-Datenbank (Vorgabe).

  Allgemeine Optionen

-b, --backup
    speichert alte Dateien beim Überschreiben mit der Endung .bak.

-c, --cachedir <Verzeichnis>
    wertet das angegebene Verzeichnis als Pacman-Zwischenspeicher für Basiskandidaten einer 3-Wege-Zusammenführung aus.

-h, --help
    zeigt die Syntax und Befehlszeilenoptionen an.

--nocolor
    stellt die Ausgabe nicht farbig dar..

-o, --output
    gibt Dateien aus, anstatt sie zusammenzuführen.

-s, --sudo
    verwendet sudo(8) und sudoedit(8) zum Zusammenführen/Entfernen von Dateien.

-3, --threeway
    zeigt Dreiweg-Diffs an, falls das Basispaket im Zwischenspeicher verfügbar ist. Anderenfalls wird ein Zweiweg-Diff angezeigt.

-V, --version
    zeigt Versionsinformationen an.

UMGEBUNGSVARIABLEN

DIFFPROG
    setzt das vorgegebene Zusammenführungsprogramm vim -d (oder nvim -d, falls EDITOR=nvim) außer Kraft.

DIFFSEARCHPATH
    setzt den vorgegebenen Suchpfad /etc außer Kraft (nur wenn find(1) verwendet wird).

MERGEPROG
    setzt das vorgegebene 3-Wege-Zusammenführungsprogramm (diff3 -m) außer Kraft. Eine mögliche Alternative ist git merge-file -p.

SIEHE AUCH

pacman(8), pacman.conf(5)

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, hinterlassen Sie einen Fehlerbericht (auf Englisch) mit so vielen Details wie möglich auf https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTOREN

Derzeitige Betreuer:

    • Johannes Löthberg (johannes@kyriasis.com)

    • Daniel M. Capella (polyzen@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Repositorium pacman-contrib.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.